| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Hooks.RestoreMinimized

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de

Contents

Usage

Description
Lets you restore minimized windows (see XMonad.Layout.Minimize) by selecting them on a taskbar (listens for _NET_ACTIVE_WINDOW and WM_CHANGE_STATE).
Synopsis

data RestoreMinimized = RestoreMinimized
restoreMinimizedEventHook :: Event -> X All

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Hooks.RestoreMinimized

     myHandleEventHook = restoreMinimizedEventHook

     main = xmonad defaultConfig { handleEventHook = myHandleEventHook }

data RestoreMinimized | Source

Constructors

RestoreMinimized |

Instances

Read RestoreMinimized
Show RestoreMinimized

restoreMinimizedEventHook :: Event -> X All | Source

Produced by Haddock version 2.4.2